> # NAME

> cgGetParameterSettingMode - get the parameter setting mode for a context

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGenum cgGetParameterSettingMode( CGcontext context );

> # PARAMETERS

> context

>   The context from which the parameter setting mode will be retrieved.

> # RETURN VALUES

> Returns the parameter setting mode enumerant for context.

> Returns CG_UNKNOWN if an error occurs.

> # DESCRIPTION

> cgGetParameterSettingMode returns the current parameter setting mode enumerant for context. See cgSetParameterSettingMode for more information.

> # EXAMPLES

>       /* assumes cgGetProgramContext(program) == context */

>       if (cgGetParameterSettingMode(context) == CG_DEFERRED_PARAMETER_SETTING) {
>         cgUpdateProgramParameters(program);
>       }

> # ERRORS

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> # HISTORY

> cgGetParameterSettingMode was introduced in Cg 2.0.

> # SEE ALSO

> cgSetParameterSettingMode, cgUpdatePassParameters, cgUpdateProgramParameters